ToolsPluginSvcGdp Struct Reference

Type of the public interface of the gdp plugin service. More...

`#include <gdp.h>`

## Data Fields

GdpError(* | publish )(gint64 createTime, const gchar *topic, const gchar *token, const gchar *category, const gchar *data, guint32 dataLen, gboolean cacheData, gboolean requireSubs)

## Detailed Description

Type of the public interface of the gdp plugin service.

This struct is published in the tools application context service object's TOOLS_PLUGIN_SVC_PROP_GDP property.

The documentation for this struct was generated from the following file:

- lib/include/vmware/tools/gdp.h